<!--
var regExpPict = /\.(gif|jpeg|jpg|png)$/i

var messages        = new Array();

function con_layer(task) {
	for (j=1; j<=max_subs; j++) con_hide(eval('"' + "menu_layer" + j +'"'));
	con_show(eval('"' + "menu_layer" + task +'"'));
}

function con_hide(layer) {
	if (document.layers) document.layers[''+layer].visibility = 'hide';
	if (document.all) document.all[''+layer].style.visibility = 'hidden';
	if (!document.all && document.getElementById) {
         	task = document.getElementById(''+layer);
		task.style.visibility = 'hidden';
	}
}

function con_show(layer) {
	if (document.layers) document.layers[''+layer].visibility = 'show';
	if (document.all) document.all[''+layer].style.visibility = 'visible';
	if (!document.all && document.getElementById) {
         	task = document.getElementById(''+layer);
		task.style.visibility = 'visible';
         }
}

function on(message) {
	window.status = message;
	window.defaultStatus = window.status;
}

function on_func(message_id) {
	if (messages.length > message_id) {
		window.status = messages[message_id];
		window.defaultStatus = window.status;
	}
}

function on_func_add_message(message_id, message_text) {
	if (!messages[message_id]) {
		messages[message_id] = message_text;
	}
}

function off() {
	window.status = "der-dirigent";
	window.defaultStatus = window.status;
}


function imgon(img,src) {
	document[img].src = 'images/menu_'+img+src+'.gif';
}


function new_window(theURL,winName,features,myWidth,myHeight,isCenter) {
	if (window.screen) if (isCenter) if (isCenter=="true") {
		var myLeft = (screen.width-myWidth)/2;
		var myTop = (screen.height-myHeight)/2;
		features+=(features!='')?',':'';
		features+=',left='+myLeft+',top='+myTop;
	}
	window.open(theURL,winName,features+((features!='')?',':'')+'width='+myWidth+',height='+myHeight);
}

function con_window(theURL,name,myWidth,myHeight,path) {
	con_popup(theURL,'', myWidth, myHeight, name, name, '#000000', '#5A7BAD', '#5A7BAD', '#A8BADE', 'Verdana, Arial, Helvetica', '1', '#000000', path);
}

function new_imagepopup(theURL,winName,altName,features,myWidth,myHeight,isCenter) {
	if (regExpPict.test(theURL)) {
		// Bildformate
		if(window.screen)if(isCenter)if(isCenter=="true") {
         	var myLeft = (screen.width-myWidth)/2;
			var myTop = (screen.height-myHeight)/2;
			features+=(features!='')?',':'';
			features+=',left='+myLeft+',top='+myTop;
        }
		imagepopup = window.open('','',features+((features!='')?',':'')+'width='+myWidth+',height='+myHeight);
		with (imagepopup.document) {
	       	open();
			write('<title>'+winName+'</title>');
			write('<meta http-equiv=\"imagetoolbar\" content=\"no\">');
			write('<body leftmargin=\"0\" topmargin=\"0\" marginwidth=\"0\" marginheight=\"0\" scroll=\"no\">')
			write('<a href=\"javascript:self.close()\">');
			write('<img src=\"'+theURL+'\" border=\"0\" alt=\"'+altName+'\" title=\"'+altName+'\">')
			close();
	    }
	} else {
		// andere Dateiformate
		new_window(theURL,name,features,myWidth,myHeight,false);
	}
}

function previewPict(adresse, breite, hoehe, created, modified, redakteur, thumbnail, filename) {
	previewPict2(adresse, breite, hoehe, created, modified, redakteur, thumbnail, filename, "")
}

function previewPict2(adresse, breite, hoehe, created, modified, redakteur, thumbnail, filename, sizeinfo) {
	text = "";
	titel = pp_title;
	if (adresse != "") {
		if (regExpPict.test(filename)) {
			text += "<img src=\"" + adresse + "\" border=\"0\"";
			text += (breite != "") ? " width=\"" + breite + "\"": "";
			text += (hoehe  != "") ? " height=\"" + hoehe + "\"": "";
			text += "><br>";
			titel = (thumbnail) ? pp_header_bild: pp_header_datei;
		}
	}
	text += (created   != "") ? pp_created  + created   + "<br>": "";
	text += (modified  != "") ? pp_modified + modified  + "<br>": "";
	text += (redakteur != "") ? pp_author   + redakteur + "<br>": "";
	text += (sizeinfo  != "") ? pp_size     + sizeinfo          : "";
	
	overlib(text, titel, '', 'sideinfo');
}

function confirm_to_url(msg,url,to) {
  var confirm_to = false;
  var string_url = '';
  if(confirm(msg)) confirm_to = true;
  string_url = url+'&'+to+'='+confirm_to;
  window.location.href = string_url;
  return !confirm_to;
}
//-->
